<?php 

include 'config.php';

$query = $db->query("SELECT * FROM odemeler where notify = 0 ORDER BY id ASC", PDO::FETCH_ASSOC);

foreach ($query as $veri){

$saat = date('H:i:s', $veri['tarih']);


if($veri['urun']=="1paket"){
$urun = "50 Jeton - 49,99TL";
}elseif($veri['urun']=="2paket"){
$urun = "100 Jeton - 99,99TL";
}elseif($veri['urun']=="3paket"){
$urun = "250 Jeton - 199,99TL";
}elseif($veri['urun']=="4paket"){
$urun = "500 Jeton - 299,99TL";
}elseif($veri['urun']=="5paket"){
$urun = "1000 Jeton - 399,99TL";
}elseif($veri['urun']=="6paket"){
$urun = "Sınırsız Jeton - 699,99TL";
}elseif($veri['urun']=="visitor"){
$urun = "Ziyaretçi Kilidi - 29,99TL";
}elseif($veri['urun']=="visitorunlock"){
$urun = "Ziyaretçi Kilidi - 59,99TL";
}elseif($veri['urun']=="callunlock"){
$urun = "Arama Kilidi - 199,99TL";
}








$bildirim_icerik = "<b>".$veri['user_fullname']."</b> isimli üye <b>".$urun."</b> paketini satın aldı.\n".$saat." \n<b>~ HeySen</b>";






$token = "2039215678:AAHz7uXdojLiXTkSme_UHy6TuJHsiIyr9Tc";
 
$parametre= array(
'chat_id' => "713052668",
'text' => $bildirim_icerik,
);
$ch = curl_init();
$url = "https://api.telegram.org/bot".$token."/sendmessage?parse_mode=html";
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HEADER, false);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $parametre);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
$result = curl_exec($ch);

$json_cikti = json_decode($result,true);

if($json_cikti['ok']==true){
	//echo "bildirim bas";

	$query = $db->prepare("UPDATE odemeler SET
notify = :yeni_kadi
WHERE id = :eski_kadi");
$update = $query->execute(array(
     "yeni_kadi" => 1,
     "eski_kadi" => $veri['id']
));



}


}

?>